summaryrefslogtreecommitdiffstats
path: root/source/a/attr
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/attr')
-rwxr-xr-xsource/a/attr/attr.SlackBuild22
-rw-r--r--source/a/attr/attr.destdir.diff28
-rw-r--r--source/a/attr/slack-desc2
3 files changed, 31 insertions, 21 deletions
diff --git a/source/a/attr/attr.SlackBuild b/source/a/attr/attr.SlackBuild
index 9c16a8d60..1b6fe70b4 100755
--- a/source/a/attr/attr.SlackBuild
+++ b/source/a/attr/attr.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.4.43-1
-ARCH=${ARCH:-x86_64}
+PKGNAM=attr
+VERSION=2.4.45
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-attr
@@ -39,8 +49,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf attr-$(echo $VERSION | cut -f 1 -d '-')
-tar xzvf $CWD/attr_$VERSION.tar.gz
-cd attr-$(echo $VERSION | cut -f 1 -d '-')
+tar xvf $CWD/attr-$VERSION.src.tar.gz || exit 1
+cd attr-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,7 +86,7 @@ mv $PKG/usr/share/doc $PKG/usr
#It would be nice to keep the same timestamps that the files have in the source:
rm -rf $PKG/usr/doc/attr-$VERSION/ea-conv
cp -a \
- README doc/COPYING doc/PORTING doc/ea-conv \
+ README doc/COPYING* doc/PORTING doc/ea-conv \
$PKG/usr/doc/attr-$VERSION
find $PKG | xargs file | grep -e "executable" -e "shared object" \
diff --git a/source/a/attr/attr.destdir.diff b/source/a/attr/attr.destdir.diff
index ced69eefb..5065675ba 100644
--- a/source/a/attr/attr.destdir.diff
+++ b/source/a/attr/attr.destdir.diff
@@ -1,17 +1,6 @@
---- ./include/buildmacros.orig 2007-09-10 21:00:49.000000000 -0500
-+++ ./include/buildmacros 2008-03-31 23:54:02.000000000 -0500
-@@ -27,7 +27,7 @@
- $(LFILES:.l=.o) \
- $(YFILES:%.y=%.tab.o)
-
--INSTALL = $(TOPDIR)/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
-+INSTALL = $(TOPDIR)/install-sh
-
- SHELL = /bin/sh
- IMAGES_DIR = $(TOPDIR)/all-images
---- ./include/builddefs.in.orig 2007-09-10 21:00:49.000000000 -0500
-+++ ./include/builddefs.in 2008-03-31 23:54:02.000000000 -0500
-@@ -27,14 +27,14 @@
+--- ./include/builddefs.in.orig 2011-04-08 11:56:59.000000000 -0500
++++ ./include/builddefs.in 2011-04-18 13:27:35.000000000 -0500
+@@ -40,14 +40,14 @@
PKG_VERSION = @pkg_version@
PKG_PLATFORM = @pkg_platform@
PKG_DISTRIBUTION= @pkg_distribution@
@@ -34,3 +23,14 @@
CC = @cc@
AWK = @awk@
+--- ./include/buildmacros.orig 2011-04-08 11:56:59.000000000 -0500
++++ ./include/buildmacros 2011-04-18 13:28:23.000000000 -0500
+@@ -40,7 +40,7 @@
+ $(LFILES:.l=.o) \
+ $(YFILES:%.y=%.tab.o)
+
+-INSTALL = $(TOPDIR)/include/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
++INSTALL = $(TOPDIR)/include/install-sh
+
+ SHELL = /bin/sh
+ IMAGES_DIR = $(TOPDIR)/all-images
diff --git a/source/a/attr/slack-desc b/source/a/attr/slack-desc
index e9220f2fb..ebca0fe70 100644
--- a/source/a/attr/slack-desc
+++ b/source/a/attr/slack-desc
@@ -16,4 +16,4 @@ attr: Extended attributes are used to provide additional functionality to
attr: a filesystem. For example, Access Control Lists (ACLs) are
attr: implemented using extended attributes.
attr:
-attr:
+attr: Homepage: http://savannah.nongnu.org/projects/attr